Subject: Re: [PATCH] fmt-merge-msg: use branch.$name.description

From: Michael J Gruber <[email-masked]>
Date: Fri, 07 Oct 2011 11:45:09 +0200

Jonathan Nieder venit, vidit, dixit 07.10.2011 11:16:
> Michael J Gruber wrote:
> 
>> config based is so non-distributed, local in nature.
> 
> I don't follow.  Wouldn't a protocol change be enough to fix that, by
> sharing branch descriptions analagously to how refs themselves are
> shared?

I'd be surprised if we changed the protocol just to be able to share
some descriptions, when we have everything we need for sharing refs.
Also note that config is non-versioned etc.

But my main point here is that we should discuss the pros and cons of
each approach in context (the context of the original thread), and I
haven't heard many pros and cons for either.

Michael